Bug 194315 - [patch] net/hostapd: Update version from 2.2 => 2.3
Summary: [patch] net/hostapd: Update version from 2.2 => 2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-12 11:19 UTC by John Marino
Modified: 2014-10-16 07:21 UTC (History)
1 user (show)

See Also:
leres: maintainer-feedback?


Attachments
Updates hostapd to version 2.3 (5.95 KB, patch)
2014-10-12 11:19 UTC, John Marino
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino freebsd_committer 2014-10-12 11:19:23 UTC
Created attachment 148211 [details]
Updates hostapd to version 2.3

After a no-approval-needed update to net/hostapd described here:
http://www.freshports.org/commit.php?category=net&port=hostapd&files=yes&message_id=201410121046.s9CAkZXI074231@svn.freebsd.org

I went ahead and generated a diff to upgrade hostapd to the version 2.3 which was just released on Oct 9th.

The main changes:
  * updated config to match the sample version
  * fixed config to not hardcode /usr/local, thus supporting non-default locations
  * moved contents of do-configure target to post-patch


Just say, "I approve" and I will commit the patch attached to the PR.
Thanks,
John
Comment 1 Bugzilla Automation freebsd_committer 2014-10-12 11:19:23 UTC
Maintainer CC'd
Comment 2 Craig Leres freebsd_committer 2014-10-15 21:58:53 UTC
(I had been lead to believe it's now customary to provide a link to a redports build log but this) looks ok.
Comment 3 Craig Leres freebsd_committer 2014-10-15 22:00:27 UTC
Also, I'm currently logged into bugs.freebsd.org but don't see the form option to set the "maintainer approved" flag?
Comment 4 John Marino freebsd_committer 2014-10-15 22:31:51 UTC
(In reply to leres from comment #2)
> (I had been lead to believe it's now customary to provide a link to a
> redports build log but this) looks ok.

Redports is currently garbage.
I tested in via poudriere but forgot to mention it.  As the committer, the responsibility for passing poudriere is on me anyway.


> Also, I'm currently logged into bugs.freebsd.org but don't see the form 
> option to set the "maintainer approved" flag?


Since I am very vocally anti-flag, I don't care.  your comment is much more useful than a stupid flag.
Comment 5 commit-hook freebsd_committer 2014-10-16 07:20:03 UTC
A commit references this bug:

Author: marino
Date: Thu Oct 16 07:19:54 UTC 2014
New revision: 370974
URL: https://svnweb.freebsd.org/changeset/ports/370974

Log:
  net/hostapd: Upgrade version 2.2 => 2.3

  While upgrading to the latest version released last week:
    * Rebase .config file on latest sample versoin
    * Support non-default prefixes
    * Merge new contents of do-configure target into post-patch target

  PR:		194315
  Approved by:	maintainer: (Craig Leres)

Changes:
  head/net/hostapd/Makefile
  head/net/hostapd/distinfo
  head/net/hostapd/files/config
Comment 6 John Marino freebsd_committer 2014-10-16 07:21:59 UTC
done, thanks!